.SizingPage {
    @include mobile {
        margin-top: 0;
    }

    &-Header {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        h1 {
            font-size: 28px;
            font-style: normal;
            font-weight: 400;
            line-height: 32px;

            @include mobile {
                font-size: 20px;
                line-height: 22px;
            }
        }

        &Link {
            display: flex;
            position: absolute;
            right: 0;
            flex-direction: column;
            z-index: 9;

            @include before-desktop {
                position: relative;

                a {
                    display: none;
                }
            }

            .Image {
                width: 160px;
                height: auto;
                padding: 0;

                @include before-desktop {
                    width: 60px;
                }

                img {
                    position: relative;
                }
            }

            .SizingPage-BrandLink {
                &::after {
                    margin-left: 10px;
                    content: url("data:image/svg+xml,%3Csvg width='20' height='10' viewBox='0 0 20 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.5 9.5L19 5L14.5 0.5' stroke='%23141414' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M19 5L1 5' stroke='%23141414' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
                }
            }
        }
    }

    &-Links {
        display: grid;
        overflow: auto;
        height: 160px;
        margin-top: 38px;
        margin-bottom: 27px;
        grid-template-columns: repeat(3, 288px);
        gap: 32px;

        @include mobile {
            height: auto;
            grid-template-columns: 1fr;
            gap: 8px;
        }
    }

    &-LinksContainer {
        display: flex;
        padding: 19px 34px;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
        background: #f5f5f5;

        h3 {
            margin-top: 0;
            font-size: 14px;
            font-style: normal;
            font-weight: 500;
            text-align: left;
            line-height: 20px;
        }

        p {
            font-size: 12px;
            font-style: normal;
            font-weight: 400;
            text-align: left;
            line-height: 18px;
        }

        a {
            text-decoration: underline;

            @include mobile {
                margin-top: 10px;
                margin-right: 20px;
                align-self: flex-end;
            }
        }
    }

    &-ContactLink::after,
    &-SizingLink::after,
    &-ReturnLink::after {
        margin-left: 10px;
        position: absolute;
        bottom: -5px;
    }

    &-ContactLink::after {
        content: url("data:image/svg+xml,%3Csvg width='19' height='19' viewBox='0 0 19 19' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M17.4997 16.998C17.3786 17.1188 14.4699 19.9161 8.75654 15.8034C8.74341 15.7937 8.72979 15.7849 8.71568 15.7762C8.09513 15.4196 7.10692 14.5651 5.80113 13.2618C5.79335 13.2526 5.78508 13.2438 5.77633 13.2351C5.77389 13.2322 5.77098 13.2293 5.76854 13.2269C5.76757 13.2259 5.7666 13.2254 5.76563 13.2244C4.4365 11.894 3.58202 10.9056 3.22554 10.2864C3.21776 10.2724 3.20852 10.2583 3.19928 10.2447C-0.914559 4.52978 1.88377 1.61894 2.00486 1.49764C2.43769 1.06385 3.69533 0.908578 4.15005 0.979905C4.25558 1.32635 4.52841 1.98528 5.12368 3.38223C5.48988 4.24253 5.98447 5.40511 6.06715 5.67878C6.0049 5.80736 5.73304 6.23435 4.55273 7.41392C4.25753 7.70893 3.85339 8.11264 7.13366 11.8217C7.14679 11.8367 7.16528 11.8547 7.18035 11.8682C10.8901 15.142 11.2932 14.7407 11.5874 14.4457C12.7415 13.2904 13.1748 13.0051 13.3134 12.9357C13.6509 13.0386 14.7763 13.5185 15.6147 13.8751C17.0114 14.47 17.6709 14.7437 18.0177 14.8489C18.0896 15.3036 17.9345 16.5632 17.4997 16.998ZM18.362 13.9392C18.1368 13.894 16.8996 13.3671 15.9965 12.9828C14.1163 12.1817 13.5721 11.9638 13.328 11.9532C13.0236 11.941 12.616 12.0589 11.0481 13.6116C10.5569 13.3909 9.22584 12.3763 7.8437 11.1579C6.64588 9.8012 5.61146 8.44453 5.38921 7.95057C6.94156 6.38234 7.06169 5.97622 7.04856 5.6715C7.03786 5.42743 6.8195 4.8835 6.019 3.00327C5.63432 2.09979 5.10763 0.862967 5.06629 0.673246C5.06094 0.552426 5.00647 0.255958 4.61303 0.103598C3.98081 -0.140952 2.09872 0.0288771 1.31622 0.812507C1.16984 0.958558 -2.1722 4.42982 2.3949 10.7911C2.80487 11.4937 3.68269 12.5141 5.07699 13.9096C5.07796 13.9105 5.07942 13.9115 5.08039 13.913C5.08331 13.9159 5.08671 13.9188 5.08866 13.9217C6.48393 15.3157 7.50424 16.194 8.20747 16.604C10.7675 18.443 12.8597 19 14.4553 19C16.8262 19 18.1018 17.77 18.1884 17.6831C18.9728 16.8985 19.1411 15.0159 18.8955 14.386C18.7433 13.9954 18.4466 13.9406 18.362 13.9392Z' fill='%23333333'/%3E%3C/svg%3E%0A");
    }

    &-SizingLink::after {
        content: url("data:image/svg+xml,%3Csvg width='19' height='19' viewBox='0 0 19 19' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.35711 14.7927L4.20696 17.6426L17.642 4.20755L14.7921 1.3577L1.35711 14.7927ZM0.542864 14.3856L14.385 0.543453C14.6099 0.318604 14.9744 0.318605 15.1993 0.543452L18.4562 3.80043C18.6811 4.02528 18.6811 4.38983 18.4562 4.61467L4.61409 18.4568C4.38924 18.6817 4.02469 18.6817 3.79984 18.4568L0.542864 15.1998C0.318017 14.975 0.318017 14.6104 0.542864 14.3856Z' fill='%23141414'/%3E%3Cpath d='M9.60157 9.19466C9.43294 9.02602 9.15952 9.02602 8.99089 9.19466C8.82225 9.36329 8.82225 9.63671 8.99089 9.80534L10.4158 11.2303C10.5845 11.3989 10.8579 11.3989 11.0265 11.2303C11.1951 11.0616 11.1951 10.7882 11.0265 10.6196L9.60157 9.19466Z' fill='%23141414'/%3E%3Cpath d='M11.6367 8.78768C11.4681 8.61904 11.1947 8.61904 11.026 8.78768C10.8574 8.95631 10.8574 9.22972 11.026 9.39836L11.6367 10.009C11.8054 10.1777 12.0788 10.1777 12.2474 10.009C12.416 9.84041 12.416 9.567 12.2474 9.39836L11.6367 8.78768Z' fill='%23141414'/%3E%3Cpath d='M12.8584 7.56624C12.6898 7.39761 12.4164 7.39761 12.2477 7.56624C12.0791 7.73488 12.0791 8.00829 12.2477 8.17692L12.8584 8.78761C13.027 8.95624 13.3005 8.95624 13.4691 8.78761C13.6377 8.61897 13.6377 8.34556 13.4691 8.17692L12.8584 7.56624Z' fill='%23141414'/%3E%3Cpath d='M14.0801 6.3448C13.9115 6.17617 13.638 6.17617 13.4694 6.3448C13.3008 6.51344 13.3008 6.78685 13.4694 6.95549L14.0801 7.56617C14.2487 7.73481 14.5221 7.73481 14.6908 7.56617C14.8594 7.39754 14.8594 7.12412 14.6908 6.95549L14.0801 6.3448Z' fill='%23141414'/%3E%3Cpath d='M15.3008 5.12337C15.1322 4.95473 14.8587 4.95473 14.6901 5.12337C14.5215 5.292 14.5215 5.56542 14.6901 5.73405L15.3008 6.34474C15.4694 6.51337 15.7428 6.51337 15.9115 6.34474C16.0801 6.1761 16.0801 5.90269 15.9115 5.73405L15.3008 5.12337Z' fill='%23141414'/%3E%3Cpath d='M3.69825 15.098C3.52962 14.9293 3.2562 14.9293 3.08757 15.098C2.91893 15.2666 2.91893 15.54 3.08757 15.7087L4.5125 17.1336C4.68113 17.3022 4.95454 17.3022 5.12318 17.1336C5.29181 16.965 5.29181 16.6915 5.12318 16.5229L3.69825 15.098Z' fill='%23141414'/%3E%3Cpath d='M15.708 3.08797C15.5394 2.91933 15.266 2.91933 15.0973 3.08797C14.9287 3.2566 14.9287 3.53002 15.0973 3.69865L16.5223 5.12358C16.6909 5.29221 16.9643 5.29221 17.1329 5.12358C17.3016 4.95494 17.3016 4.68153 17.1329 4.5129L15.708 3.08797Z' fill='%23141414'/%3E%3Cpath d='M5.73341 14.6908C5.56477 14.5221 5.29136 14.5221 5.12272 14.6908C4.95409 14.8594 4.95409 15.1328 5.12272 15.3014L5.73341 15.9121C5.90204 16.0808 6.17546 16.0808 6.34409 15.9121C6.51273 15.7435 6.51273 15.4701 6.34409 15.3014L5.73341 14.6908Z' fill='%23141414'/%3E%3Cpath d='M6.95509 13.4696C6.78645 13.3009 6.51304 13.3009 6.3444 13.4696C6.17577 13.6382 6.17577 13.9116 6.3444 14.0802L6.95509 14.6909C7.12372 14.8596 7.39713 14.8596 7.56577 14.6909C7.73441 14.5223 7.73441 14.2489 7.56577 14.0802L6.95509 13.4696Z' fill='%23141414'/%3E%3Cpath d='M8.17677 12.2481C8.00813 12.0795 7.73472 12.0795 7.56608 12.2481C7.39745 12.4168 7.39745 12.6902 7.56608 12.8588L8.17677 13.4695C8.3454 13.6381 8.61882 13.6381 8.78745 13.4695C8.95609 13.3009 8.95609 13.0274 8.78745 12.8588L8.17677 12.2481Z' fill='%23141414'/%3E%3Cpath d='M9.39747 11.0267C9.22883 10.8581 8.95542 10.8581 8.78679 11.0267C8.61815 11.1953 8.61815 11.4687 8.78679 11.6374L9.39747 12.2481C9.56611 12.4167 9.83952 12.4167 10.0082 12.2481C10.1768 12.0794 10.1768 11.806 10.0082 11.6374L9.39747 11.0267Z' fill='%23141414'/%3E%3C/svg%3E%0A");
    }

    &-ReturnLink::after {
        content: url("data:image/svg+xml,%3Csvg width='19' height='19' viewBox='0 0 19 19' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.73179 4.75L4.75319 6.47516V6.47739H4.75V14.25H14.2465L14.25 6.47516L12.2711 4.75H6.73179ZM13.4553 13.386H5.5412V7.34076H13.4553V13.386ZM6.01883 6.47739L7.00913 5.6137H11.994L12.9841 6.47739H6.01883Z' fill='%23333333'/%3E%3Cpath d='M6.73179 4.75L4.75319 6.47516V6.47739H4.75V14.25H14.2465L14.25 6.47516L12.2711 4.75H6.73179ZM13.4553 13.386H5.5412V7.34076H13.4553V13.386ZM6.01883 6.47739L7.00913 5.6137H11.994L12.9841 6.47739H6.01883Z' fill='%23333333'/%3E%3Cpath d='M18.6046 9.10427C18.3854 9.10427 18.2079 9.28139 18.2079 9.5C18.2079 10.6759 17.9783 11.8164 17.5243 12.8897C17.0854 13.9265 16.458 14.8577 15.6578 15.6579C14.8576 16.458 13.9264 17.0854 12.8897 17.5243C11.8164 17.9783 10.6759 18.208 9.49996 18.208C8.32404 18.208 7.18352 17.9783 6.11054 17.5243C5.07378 17.0854 4.1423 16.458 3.34211 15.6579C2.54221 14.8577 1.91425 13.9265 1.47562 12.8897C1.02188 11.8164 0.791691 10.6759 0.791691 9.5C0.791691 8.32408 1.02188 7.18356 1.47562 6.11058C1.91425 5.07356 2.54221 4.14233 3.34211 3.34214C4.14226 2.54225 5.07378 1.91429 6.11054 1.47565C7.18352 1.02166 8.32404 0.791728 9.49996 0.791728C10.6759 0.791728 11.8164 1.02162 12.8897 1.47565C13.8487 1.88156 14.7185 2.45007 15.4769 3.16673H14.0239C13.8058 3.16673 13.6284 3.34385 13.6284 3.56246C13.6284 3.78107 13.8058 3.9582 14.0239 3.9582H16.3989C16.618 3.9582 16.7955 3.78107 16.7955 3.56246V1.1875C16.7955 0.968889 16.6181 0.791766 16.3989 0.791766C16.1808 0.791766 16.0034 0.968889 16.0034 1.1875V2.57532C14.3034 0.978463 12.0165 0 9.5 0C4.25337 0 0 4.25337 0 9.5C0 14.7463 4.25337 19 9.5 19C14.7463 19 19 14.7463 19 9.5C19 9.28139 18.8226 9.10427 18.6046 9.10427Z' fill='%23333333'/%3E%3C/svg%3E%0A");
    }

    &-TabsWrapper {
        position: sticky;
        top: calc(var(--header-total-height) - 32px);
        z-index: 9;
        background-color: #fff;

        @include tablet {
            top: calc(var(--header-nav-height) - 32px);
        }

        p {
            margin-bottom: 7px;
            font-size: 14px;
            font-weight: 500;
            line-height: 20px;
        }
    }

    &-Tabs {
        display: flex;
        padding: 12px 0;

        @include mobile {
            padding-bottom: 0;
            flex-direction: column;
        }
    }

    &-TabLabel {
        width: 192px;
        padding: 12px 16px;
        border: 1px solid $black;
        margin-right: 30px;
        text-align: center;
        cursor: pointer;

        @include mobile {
            width: 100%;
            margin-right: 0;
            margin-bottom: 22px;
        }

        span {
            font-size: 14px;
            font-weight: 500;
            text-transform: uppercase;
            line-height: 24px;
        }

        &_active,
        &:hover {
            background-color: $black;

            span {
                color: $white;
            }
        }
    }

    &-Desc {
        display: grid;
        margin-top: 25px;
        margin-bottom: 70px;
        grid-template-columns: 450px 1fr;
        column-gap: 90px;

        @include before-desktop {
            margin-top: 0;
            margin-bottom: 40px;
            grid-template-columns: 1fr;
        }

        p {
            font-size: 12px;
            font-style: normal;
            font-weight: 400;
            line-height: 18px;
            letter-spacing: 0;
        }

        h3 {
            font-size: 14px;
            font-style: normal;
            font-weight: 500;
            line-height: 20px;
            letter-spacing: 0;

            @include mobile {
                margin-top: 0;
            }
        }

        &Image {
            max-width: 712px;
            align-self: center;
            background: #f5f5f5;

            @include mobile {
                margin-top: 32px;
            }

            .Image {
                display: block;
                padding-bottom: 83%;

                @include mobile {
                    height: auto;
                    padding: 0;

                    .Image-Image {
                        max-height: 600px;
                        position: relative;
                    }
                }
            }
        }
    }

    &-TabContent {
        display: none;

        &_active {
            display: block;
        }
    }

    &-SizingContainer {
        display: grid;
        margin-bottom: 80px;
        grid-template-rows: auto;
        grid-template-columns: 1fr 288px;
        column-gap: 32px;

        @include mobile {
            margin-right: -1rem;
            margin-bottom: 32px;
            margin-left: -1rem;
            grid-template-columns: 1fr;
        }
    }

    &-TableContainer {
        background: #f5f5f5;

        @include mobile {
            overflow: hidden;
        }
    }

    &-SizingHeader {
        width: 100%;
        padding: 16px;
        border: 1px solid #141414;

        @include mobile {
            display: flex;
            width: calc(100% - 10px);
            margin: 0 5px 5px;
            align-items: center;
            justify-content: space-between;
            text-align: left;
        }

        &_isOpen {
            margin-bottom: 0;
        }

        &MobileArrow {
            &::after {
                @include mobile {
                    content: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1L5 5L9 1' stroke='%23141414' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
                }
            }

            &_isOpen {
                @include mobile {
                    content: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 5L5 1L1 5' stroke='%23141414' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
                }
            }
        }
    }

    &-SizingImage {
        height: 368px;
        position: sticky;
        top: calc(var(--header-total-height) + 74px);

        @include mobile {
            height: unset;
        }

        @include tablet {
            top: calc(var(--header-nav-height) + 74px);
        }

        .Image {
            width: 100%;
            padding-bottom: 128%;

            @include mobile {
                padding-bottom: 55%;
            }
        }
    }

    &-CategoryLinkContainer {
        display: flex;
        padding: 42px 24px;
        position: absolute;
        top: 0;
        flex-direction: column;
        align-items: flex-start;

        @include mobile {
            height: 100%;
            justify-content: space-between;
        }

        .SizingPage-BrandLink {
            margin-top: 20px;
        }
    }

    &-CategoryLinkTitle {
        font-size: 28px;
        font-style: normal;
        line-height: 32px;
    }

    &-BrandLink {
        padding: 12px 16px;
        border: 1px solid #141414;
        margin-top: 36px;
        font-size: 14px;
        font-weight: 500;
        text-transform: uppercase;
        line-height: 24px;
    }

    &-Table {
        width: 100%;

        thead {
            position: sticky;
            top: calc(var(--header-total-height) + 67px);
            z-index: 8;

            @include tablet {
                top: calc(var(--header-nav-height) + 74px);
            }
        }

        &Wrapper {
            padding: 30px;

            @include mobile {
                overflow-x: hidden;
                padding: 1rem;
            }
        }

        &Head {
            padding: 12px;
            border: 4px solid #f5f5f5;
            background: #adf51d;
            font-size: 12px;
            font-style: normal;
            font-weight: 400;
            text-align: center;
            line-height: 16px;
        }

        @include after-mobile {
            tr:nth-child(odd) {
                background-color: #fff;
            }

            tr:nth-child(even) {
                background-color: rgba(255, 255, 255, 0.5);
            }
        }
    }

    &-Cell {
        border: 4px solid transparent;
        text-align: center;

        @include mobile {
            &:nth-child(odd) {
                background-color: #fff;
            }

            &:nth-child(even) {
                background-color: rgba(255, 255, 255, 0.5);
            }
        }
    }

    &-TableMobile {
        width: 100%;

        &Wrapper {
            overflow: auto;
        }

        .SizingPage {
            &-TableHead {
                min-width: 73px;
                border-left: 0;
                position: sticky;
                top: auto;
                left: 0;
                z-index: 9;
            }

            &-TableBody {
                display: table;
                table-layout: fixed;
            }

            &-Cell {
                min-width: 73px;
                vertical-align: middle;
            }
        }
    }

    &-AllBrands {
        ul {
            display: flex;
            overflow: auto;
            height: 500px;
            flex-direction: column;
            flex-wrap: wrap;
        }

        li {
            min-width: 132px;
            padding: 0;
            margin-right: 30px;
            font-size: 12px;
            line-height: 26px;

            &::before {
                content: '';
            }
        }
    }

    &-AllBrandsMobile {
        margin-bottom: 40px;
        background-color: #f5f5f5;

        li {
            padding: 0 16px;
            margin: 0;
            font-size: 12px;
            line-height: 32px;

            &::before {
                content: '';
            }

            &:last-child {
                padding-bottom: 16px;
            }
        }

        &Header {
            display: flex;
            width: 100%;
            padding: 14px 16px;
            align-items: center;
            justify-content: space-between;
            font-size: 14px;
            text-transform: uppercase;
            line-height: 24px;
        }

        &Arrow {
            &::after {
                content: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1L5 5L9 1' stroke='%23141414' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            }
            &_allBrandsOpened {
                content: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 5L5 1L1 5' stroke='%23141414' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            }
        }
    }
}
